Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001338 [DCSS] Bug Report minor always 2010-04-11 01:05 2013-04-03 06:15
Reporter OG17 View Status public  
Assigned To DracoOmega
Priority normal Resolution done  
Status resolved   Product Branch 0.7 ancient branch
Summary 0001338: Flying summons will not be placed over deep water or lava
Description Effects that summon flying or levitating creatures (imps, demons, butterflies, wraiths, wasps, etc - even fire storm's vortices) all refuse to place them over deep water or lava, instead doing nothing. These effects should work the same as they do when over land, as the creatures ignore such terrain entirely. Summoning effects that can summon both flying and nonflying creatures could either skip over nonflying creatures or function normally, with nonflying creatures immediately drowning.

Summoned swimming creatures like ugly things and ice beasts don't have this problem - they already work fine in deep water.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0004887resolvedMarvinPA Haunt - deep water targetable, but monster do not spawn. 
has duplicate 0006860closedMarvinPA Cannot summon flyers when permaflying over deep water 

-  Notes
(0022103)
XuaXua (reporter)
2013-04-03 04:44

This also happens for Conjuror spell Battlesphere. Understandably, with something like Summon Butterflies, they may take off from the ground (or shallow water?), but the Battlesphere is always flying, so there's no good reason for it not to be summoned in-flight over deep water.
(0022105)
DracoOmega (developer)
2013-04-03 05:16

Already fixed (in 0.13-a0-129-gdb45db7) by the time you commented here. I simply hadn't closed the issue yet!
(0022108)
XuaXua (reporter)
2013-04-03 06:15
edited on: 2013-04-03 06:16

This one is in the low 1000, so I wasn't expecting a fix (I figured I'd record the Battlesphere discrepancy though), but what with all the bugs being raided lately, good job!


- Issue History
Date Modified Username Field Change
2010-04-11 01:05 OG17 New Issue
2011-01-13 18:22 MarvinPA Issue Monitored: MarvinPA
2013-03-16 18:05 MarvinPA Relationship added has duplicate 0004887
2013-03-17 20:44 mumra Issue Monitored: mumra
2013-03-18 16:07 MarvinPA Issue End Monitor: MarvinPA
2013-04-02 18:24 MarvinPA Relationship added has duplicate 0006860
2013-04-03 04:44 XuaXua Note Added: 0022103
2013-04-03 05:16 DracoOmega Note Added: 0022105
2013-04-03 05:16 DracoOmega Status new => resolved
2013-04-03 05:16 DracoOmega Fixed in Branch => 0.13 development branch
2013-04-03 05:16 DracoOmega Resolution open => done
2013-04-03 05:16 DracoOmega Assigned To => DracoOmega
2013-04-03 06:15 XuaXua Note Added: 0022108
2013-04-03 06:16 XuaXua Note Edited: 0022108


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker